Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1AuditSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1AuditSearchParameters

Record Components:
  `fieldOwner` - Limit to events with the given owner.
  `fieldType` - Limit to events with the given type.
  `fieldTimeRange` - Limit to events in the given time range.
  `fieldPageSize` - The page size.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1AuditSearchParameters(com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID> fieldOwner, CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString> fieldType, CAI1TimeRange fieldTimeRange, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageSize) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
The audit search parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1AuditSearchParameters(com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID> fieldOwner, CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString> fieldType, CAI1TimeRange fieldTimeRange, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageSize)`
  Creates an instance of a `CAI1AuditSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1AuditSearchParameters`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1AuditSearchParameters.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID>`
  `fieldOwner()`
  Returns the value of the `fieldOwner` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32`
  `fieldPageSize()`
  Returns the value of the `fieldPageSize` record component.
  `CAI1TimeRange`
  `fieldTimeRange()`
  Returns the value of the `fieldTimeRange` record component.
  `CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldType()`
  Returns the value of the `fieldType` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1AuditSearchParameters $x)`
  Serialize a value of type CAI1AuditSearchParameters.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1AuditSearchParameters

    public CAI1AuditSearchParameters(com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID> fieldOwner, CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString> fieldType, CAI1TimeRange fieldTimeRange, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageSize)
    Creates an instance of a `CAI1AuditSearchParameters` record class.
    Parameters:
      `fieldOwner` - the value for the `fieldOwner` record component
      `fieldType` - the value for the `fieldType` record component
      `fieldTimeRange` - the value for the `fieldTimeRange` record component
      `fieldPageSize` - the value for the `fieldPageSize` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1AuditSearchParameters $x) throws IOException
    Serialize a value of type CAI1AuditSearchParameters.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1AuditSearchParameters deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1AuditSearchParameters.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1AuditSearchParameters.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldOwner

    public com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBUUID> fieldOwner()
    Returns the value of the `fieldOwner` record component.
    Returns:
      the value of the `fieldOwner` record component

  - ### fieldType

    public CAI1ComparisonExact<com.io7m.cedarbridge.runtime.api.CBString> fieldType()
    Returns the value of the `fieldType` record component.
    Returns:
      the value of the `fieldType` record component

  - ### fieldTimeRange

    public CAI1TimeRange fieldTimeRange()
    Returns the value of the `fieldTimeRange` record component.
    Returns:
      the value of the `fieldTimeRange` record component

  - ### fieldPageSize

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldPageSize()
    Returns the value of the `fieldPageSize` record component.
    Returns:
      the value of the `fieldPageSize` record component